Bug 180664 - checksum mismatch in biology/tinker
Summary: checksum mismatch in biology/tinker
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: John Marino
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-20 00:10 UTC by TsurutaniNaoki
Modified: 2013-08-25 13:46 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description TsurutaniNaoki 2013-07-20 00:10:00 UTC
	checksum mismatch in biology/tinker.

Fix: 

I do not know why this problem occures.
	If the distfile is correct one, please fix distinfo file.
How-To-Repeat: 	h120[root] % make
	===>  Found saved configuration for tinker-6.2.01
	===> Fetching all distfiles required by tinker-6.2.06 for building
	===>  Extracting for tinker-6.2.06
	=> SHA256 Checksum mismatch for tinker-6.2.06.tar.gz.
	===>  Refetch for 1 more times files: tinker-6.2.06.tar.gz
	===>  Found saved configuration for tinker-6.2.01
	=> tinker-6.2.06.tar.gz doesn't seem to exist in /usr/local/ftp/pub/FreeBSD/src/ports/distfiles/.
	=> Attempting to fetch ftp://ftp4.jp.freebsd.org/pub/FreeBSD/ports/distfiles//tinker-6.2.06.tar.gz
	fetch: ftp://ftp4.jp.freebsd.org/pub/FreeBSD/ports/distfiles//tinker-6.2.06.tar.gz: File unavailable (e.g., file not found, no access)
	=> Attempting to fetch http://dasher.wustl.edu/tinker/downloads/tinker-6.2.06.tar.gz
	fetch: http://dasher.wustl.edu/tinker/downloads/tinker-6.2.06.tar.gz: size mismatch: expected 20182802, actual 20181780
	=> Attempting to fetch ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/tinker-6.2.06.tar.gz
	fetch: ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/tinker-6.2.06.tar.gz: File unavailable (e.g., file not found, no access)
	=> Couldn't fetch it - please try to retrieve this
	=> port manually into /usr/local/ftp/pub/FreeBSD/src/ports/distfiles/ and try again.
	*** Error code 1
	
	Stop in /usr/ports/biology/tinker.
	*** Error code 1
	
	Stop in /usr/ports/biology/tinker.
	*** Error code 1
	
	Stop in /usr/ports/biology/tinker.
Comment 1 John Marino freebsd_committer 2013-08-18 11:52:47 UTC
Responsible Changed
From-To: freebsd-ports-bugs->marino

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-08-18 12:38:50 UTC
Author: marino
Date: Sun Aug 18 11:38:34 2013
New Revision: 324901
URL: http://svnweb.freebsd.org/changeset/ports/324901

Log:
  biology/tinker: Regenerate distinfo to unbreak fetch
  
  Apparently the distfile was rerolled.  The sizes of the file are only a few
  bytes apart.  Since the master site never changed, it's reasonable just to
  regenerate the distinfo and bump the PORTREVISION.
  
  PR:		180664
  Approved by:	bapt/culot (mentors, implicit)

Modified:
  head/biology/tinker/Makefile
  head/biology/tinker/distinfo

Modified: head/biology/tinker/Makefile
==============================================================================
--- head/biology/tinker/Makefile	Sun Aug 18 11:37:06 2013	(r324900)
+++ head/biology/tinker/Makefile	Sun Aug 18 11:38:34 2013	(r324901)
@@ -3,6 +3,7 @@
 
 PORTNAME=	tinker
 PORTVERSION=	6.2.06
+PORTREVISION=	1
 CATEGORIES=	biology
 MASTER_SITES=	http://dasher.wustl.edu/tinker/downloads/
 

Modified: head/biology/tinker/distinfo
==============================================================================
--- head/biology/tinker/distinfo	Sun Aug 18 11:37:06 2013	(r324900)
+++ head/biology/tinker/distinfo	Sun Aug 18 11:38:34 2013	(r324901)
@@ -1,2 +1,2 @@
-SHA256 (tinker-6.2.06.tar.gz) = 6d5e79cd2a431787cd77bce2c469b7eec219f8e874425dcf8ebb74dabb0d985c
-SIZE (tinker-6.2.06.tar.gz) = 20182802
+SHA256 (tinker-6.2.06.tar.gz) = a6eb5cb31b7e93a1f2d323ca73e45f16291763a3e0faa3615a3219e6f9814277
+SIZE (tinker-6.2.06.tar.gz) = 20181780
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 John Marino freebsd_committer 2013-08-25 13:46:29 UTC
State Changed
From-To: open->closed

Committed. Thanks!